BUE:
  version: VERSION
  js:
    library/BUE.min.js: {minified: true}
  css:
    component:
      library/BUE.min.css: {minified: true}
  dependencies:
    - core/jquery

BUE.dev:
  version: VERSION
  js:
    library/js/BUE.js: {}
    library/js/BUE.form.js: {}
    library/js/BUE.markup.js: {}
    library/js/BUE.proto.js: {}
    library/js/BUE.shortcut.js: {}
    library/js/BUE.textarea.js: {}
    library/js/BUE.Button.js: {}
    library/js/BUE.History.js: {}
    library/js/BUE.Popup.js: {}
    library/js/BUE.Editor.js: {}
    library/js/BUE.Editor.ac.js: {}
    library/js/BUE.Editor.button.js: {}
    library/js/BUE.Editor.history.js: {}
    library/js/BUE.Editor.indent.js: {}
    library/js/BUE.Editor.popup.js: {}
    library/js/BUE.Editor.preview.js: {}
    library/js/BUE.Editor.textarea.js: {}
    library/js/BUE.buttons.js: {}
  css:
    component:
      library/css/BUE.css: {}
      library/css/BUE.icons.css: {}
      library/css/BUE.Button.css: {}
      library/css/BUE.Popup.css: {}
      library/css/BUE.preview.css: {}
      library/css/BUE.form.css: {}
  dependencies:
    - core/jquery

drupal.bueditor:
  version: VERSION
  js:
    js/bueditor.js: {}
  dependencies:
    - core/jquery
    - core/drupal
    - core/drupalSettings
    - bueditor/BUE

drupal.bueditor.translation:
  version: VERSION
  js:
    js/bueditor.translation.js: {}
  dependencies:
    - bueditor/drupal.bueditor

drupal.bueditor.admin:
  version: VERSION
  js:
    js/bueditor.admin.js: {}
  css:
    component:
      css/bueditor.admin.css: {}
  dependencies:
    - core/drupal.states
    - core/jquery.ui.sortable
    - bueditor/drupal.bueditor

drupal.xpreview:
  version: VERSION
  js:
    js/drupal.xpreview.js: {}
  dependencies:
    - core/jquery
    - core/drupal
    - core/drupalSettings

drupal.bueditor.xpreview:
  version: VERSION
  js:
    js/bueditor.xpreview.js: {}
  dependencies:
    - bueditor/drupal.xpreview
    - bueditor/drupal.bueditor
